"use strict";
const common_vendor = require("../../common/vendor.js");
const WORKORDER_update_method = require("./method.js");
const WORKORDER_update_model = require("./model.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
if (!Array) {
  const _easycom_hs_radio_cell_picker2 = common_vendor.resolveComponent("hs-radio-cell-picker");
  const _easycom_hs_cell_textarea2 = common_vendor.resolveComponent("hs-cell-textarea");
  const _easycom_hs_upload2 = common_vendor.resolveComponent("hs-upload");
  const _easycom_hs_radio2 = common_vendor.resolveComponent("hs-radio");
  const _easycom_hs_cell2 = common_vendor.resolveComponent("hs-cell");
  const _easycom_hs_input2 = common_vendor.resolveComponent("hs-input");
  const _easycom_hs_radio_picker_accounts2 = common_vendor.resolveComponent("hs-radio-picker-accounts");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_radio_cell_picker2 + _easycom_hs_cell_textarea2 + _easycom_hs_upload2 + _easycom_hs_radio2 + _easycom_hs_cell2 + _easycom_hs_input2 + _easycom_hs_radio_picker_accounts2 + _easycom_hs_footer2)();
}
const _easycom_hs_radio_cell_picker = () => "../../components/hs-radio-cell-picker/hs-radio-cell-picker.js";
const _easycom_hs_cell_textarea = () => "../../components/hs-cell-textarea/hs-cell-textarea.js";
const _easycom_hs_upload = () => "../../components/hs-upload/hs-upload.js";
const _easycom_hs_radio = () => "../../components/hs-radio/hs-radio.js";
const _easycom_hs_cell = () => "../../components/hs-cell/hs-cell.js";
const _easycom_hs_input = () => "../../components/hs-input/hs-input.js";
const _easycom_hs_radio_picker_accounts = () => "../../components/hs-radio-picker-accounts/hs-radio-picker-accounts.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (_easycom_hs_radio_cell_picker + _easycom_hs_cell_textarea + _easycom_hs_upload + _easycom_hs_radio + _easycom_hs_cell + _easycom_hs_input + _easycom_hs_radio_picker_accounts + _easycom_hs_footer)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((e) => {
      var _a;
      (_a = WORKORDER_update_method.method) == null ? void 0 : _a.init(e);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e;
      return common_vendor.e({
        a: common_vendor.o(($event) => common_vendor.unref(WORKORDER_update_model.useModel).formData.value.status = $event),
        b: common_vendor.p({
          Enums: (_b = (_a = common_vendor.unref(WORKORDER_update_model.useModel)) == null ? void 0 : _a.HouseWorkOrdersStatusItemEnum) == null ? void 0 : _b.value,
          title: "工单状态",
          borderTop: true,
          required: true,
          valueModel: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.status
        }),
        c: common_vendor.o(($event) => common_vendor.unref(WORKORDER_update_model.useModel).formData.value.description = $event),
        d: common_vendor.p({
          borderTop: true,
          title: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.status === "Completed" ? "备注说明" : "进度说明",
          required: true,
          placeholder: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.status === "Completed" ? "请详细描述情况，包括具体位置现象等" : "请输入进度说明",
          valueModel: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.description
        }),
        e: common_vendor.o(($event) => common_vendor.unref(WORKORDER_update_model.useModel).formData.value.attachments = $event),
        f: common_vendor.p({
          borderTop: true,
          title: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.status === "Completed" ? "完工图片" : "上传图片",
          required: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.status === "Completed",
          count: 6,
          valueModel: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.attachments
        }),
        g: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.status === "Completed" && common_vendor.unref(WORKORDER_update_model.useModel).formData.value.location === "MyHome"
      }, common_vendor.unref(WORKORDER_update_model.useModel).formData.value.status === "Completed" && common_vendor.unref(WORKORDER_update_model.useModel).formData.value.location === "MyHome" ? common_vendor.e({
        h: common_vendor.o(($event) => common_vendor.unref(WORKORDER_update_model.useModel).formData.value.is_fee = $event),
        i: common_vendor.p({
          Enums: (_d = (_c = common_vendor.unref(WORKORDER_update_model.useModel)) == null ? void 0 : _c.HouseWorkOrdersCostEnum) == null ? void 0 : _d.value,
          valueModel: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.is_fee
        }),
        j: common_vendor.p({
          title: "是否产生费用",
          required: true
        }),
        k: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.is_fee === "1"
      }, common_vendor.unref(WORKORDER_update_model.useModel).formData.value.is_fee === "1" ? {
        l: common_vendor.o(($event) => common_vendor.unref(WORKORDER_update_model.useModel).formData.value.amount = $event),
        m: common_vendor.p({
          type: "number",
          placeholder: "请输入费用金额",
          textAlign: "right",
          suffix: "元",
          valueModel: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.amount
        }),
        n: common_vendor.p({
          title: "费用金额",
          required: true,
          borderTop: true
        }),
        o: common_vendor.o(($event) => common_vendor.unref(WORKORDER_update_model.useModel).formData.value.company_project_receipt_accounts_id = $event),
        p: common_vendor.p({
          title: "收款账号",
          required: true,
          borderTop: true,
          params: common_vendor.unref(WORKORDER_update_model.useModel).formData.value,
          valueModel: common_vendor.unref(WORKORDER_update_model.useModel).formData.value.company_project_receipt_accounts_id
        })
      } : {}) : {}, {
        q: common_vendor.o((_e = common_vendor.unref(WORKORDER_update_method.method)) == null ? void 0 : _e.handleSubmit),
        r: common_vendor.p({
          btnParimaryName: "提交"
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/WORKORDER/update/index.vue"]]);
wx.createPage(MiniProgramPage);
